Skip to main content
Platform O&M/Cloud Monitoring/Monitoring and Alarm/SNS/SNS Operations
POSTSNS OperationsSince 2.3SynchronousAuth Required

CreateSNSEmailPlatform

CreateSNSEmailPlatform

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • smtpServerStringRequired

      The SMTP server address.

    • smtpPortIntegerRequired

      The SMTP port.

    • usernameStringRequired

      The username.

    • passwordString

      Optional. The password.

    • nameStringRequired

      The resource name.

    • descriptionString

      Optional. The detailed description of the resource.

    • resourceUuidString

      Optional.

    • encryptTypeString

      Optional.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventorySNSApplicationPlatformInventoryRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • typeStringRequired

      The type.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

Endpoint

POST/zstack/v1/sns/application-platforms/email

/zstack/v1/sns/application-platforms/email

Operation ID

CreateSNSEmailPlatform

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/sns/application-platforms/email' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"smtpServer":"<smtpServer>","smtpPort":1,"username":"<username>","password":"<password>","name":"<name>","description":"<description>","resourceUuid":"<resourceUuid>","encryptType":"<encryptType>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "f6122105d8994b498e6184efcf03bb64", "name": "email platform", "description": "example description", "state": "Enabled", "type": "Email", "createDate": "Feb 28, 2018 9:47:35 AM", "lastOpDate": "Feb 28, 2018 9:47:35 AM" } }

Change History

This API has no change history records yet.

View all change history